tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Kirk" <tomcat-u...@web-startup.co.uk>
Subject RE: versions 2.3 and 2.4 of web.xml
Date Thu, 30 Sep 2004 17:02:53 GMT

Further to my note below, plus my previous posts on "Who has got
<include-prelude> to work?", I think I might have stumbled across the
answers to both myself.

Basically my web.xml files were based on the v2.3 files that shipped with
the standard installation, and using these seems to have silently suppressed
the 2.4 features, including <include-prelude>.

Not sure if this is a bug - if web.xml encounters a tag which it knows is
valid in its current version, but not in the earlier version declared in the
<web-app> tag, should an exception be thrown, or should it silently ignore
it?

> -----Original Message-----
> From: Steve Kirk [mailto:tomcat-user@web-startup.co.uk] 
> Sent: Thursday 30 September 2004 17:32
> To: 'Tomcat Users List'
> Subject: versions 2.3 and 2.4 of web.xml
> 
> 
> 
> Only just noticed this, looks like a possible bug, but maybe there's a
> reason behind it?
> 
> Basically, the default web.xml files included within the 
> standard webapps of
> 5.0.27 and 5.0.28 seem to be a mix of webapp v2.3 and v2.4 - 
> anyone know if
> there is a reason for this, or is this a bug?
> 



---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message